#include "IO.h"

#define IO_OFF 0
#define IO_ON  !IO_OFF

static int powerSwitchState;
static int lampState;

void IO_initialize(void)
{
    powerSwitchState = IO_OFF;
    lampState = IO_OFF;
}

void IO_powerSwitchOn(void)
{
    powerSwitchState = IO_ON;
}

void IO_powerSwitchOff(void)
{
    powerSwitchState = IO_OFF;
}

int IO_isPowerSwitchOn(void)
{
    return powerSwitchState == IO_ON;
}

void IO_lampOn(void)
{
    lampState = IO_ON;
}

void IO_lampOff(void)
{
    lampState = IO_OFF;
}

int IO_isLampOn(void)
{
    return lampState == IO_ON;
}

/***** End of File *****/
