#include <CppUTest/TestHarness.h>

extern "C" {
#include "IO.h"
#include "Control.h"
};

TEST_GROUP(Control)
{
    void setup(void) {
        IO_initialize();
        Control_initialize();
    }

    void teardown(void)
    {

    }
};

TEST(Control, switchOon_Then_LampOn)
{
    IO_powerSwitchOn();
    Control_control();
    CHECK_TRUE(IO_isLampOn());
}

TEST(Control, switchOff_Then_LampOff)
{
    IO_powerSwitchOn();
    Control_control();
    IO_powerSwitchOff();
    Control_control();
    IO_powerSwitchOn();
    Control_control();
    CHECK_FALSE(IO_isLampOn());
}

/***** End of File *****/
