#include <CppUTest/TestHarness.h>

extern "C" {
#include "IO.h"
};

TEST_GROUP(IOTest)
{
    void setup()
    {
        IO_initialize();
    }

    void teardown()
    {

    }
};

TEST(IOTest, create)
{
    IO_initialize();
    CHECK_FALSE(IO_isPowerSwitchOn());
    CHECK_FALSE(IO_isLampOn());
}

TEST(IOTest, switchOn)
{
    IO_powerSwitchOn();
    CHECK_TRUE(IO_isPowerSwitchOn());
}

TEST(IOTest, switchOff)
{
    IO_powerSwitchOn();
    IO_powerSwitchOff();
    CHECK_FALSE(IO_isPowerSwitchOn());
}

TEST(IOTest, lampOn)
{
    IO_lampOn();
    CHECK_TRUE(IO_isLampOn());
}

TEST(IOTest, LampOff)
{
    IO_lampOn();
    IO_lampOff();
    CHECK_FALSE(IO_isLampOn());
}

/***** End of File *****/
